<%@ Page Language="C#" AutoEventWireup="true" %>

<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        var minId = XY.ToInt(Request.Params["logid"], 0);
        var countSize = XY.ToInt(Request.Params["count"], 0);
        Response.Clear();
        com.xykj.business.Control.fh153_dd_qp153_com.OutPutJson otj = new com.xykj.business.Control.fh153_dd_qp153_com.OutPutJson();
        otj.Code = 10;//参数 count 小于 1 
        if (countSize < 1 )
        {
            Response.Write(XY.JToJson(otj));
            return;
        }
        try
        {
            string sql = string.Format("select top {0} * from xy_log_fh153 where id >={1}", countSize, minId);
            var table = new com.xykj.database.General().GetDatas<com.xykj.business.Control.fh153_dd_qp153_com.DataJson>(sql);
            otj.data = table;
        }
        catch 
        {
            otj.Code = 11;//查询数据库错误
            Response.Write(XY.JToJson(otj));
            return;
        }
        otj.Code = 200;
        var json = XY.JToJson(otj);
        Response.Write(json);
    }
</script>
